package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantChannelOrderSlicegetRequest struct {
	/*
	   获取时间片入参     */
	TimeSliceGetRequest *domain.AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetRequest `json:"time_slice_get_request" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantChannelOrderSlicegetRequest) SetTimeSliceGetRequest(v domain.AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetRequest) *AlibabaTclsAelophyMerchantChannelOrderSlicegetRequest {
	s.TimeSliceGetRequest = &v
	return s
}

func (req *AlibabaTclsAelophyMerchantChannelOrderSlicegetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.TimeSliceGetRequest != nil {
		paramMap["time_slice_get_request"] = util.ConvertStruct(*req.TimeSliceGetRequest)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyMerchantChannelOrderSlicegetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
